//
//  BrushAngleController.h
//  Impressionist
//
//  Created by Andrew Yurovchak on 10/4/09.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>

@class MainViewController;
@class RootViewController;

@interface BrushAngleController : UIViewController <UIPickerViewDelegate, UIPickerViewDataSource, UIImagePickerControllerDelegate, UINavigationControllerDelegate> {
	MainViewController* mainController;
	RootViewController* rootController;
	
	IBOutlet UIPickerView* brushAngleTypePicker;
	IBOutlet UISlider* angle;
}

@property(retain, nonatomic) MainViewController *mainController;
@property(retain, nonatomic) RootViewController *rootController;
@property(retain, nonatomic) UISlider* angle;

- (IBAction)back;

@end
