//
//  BrushAngleController.mm
//  Impressionist
//
//  Created by Andrew Yurovchak on 10/2/09.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import "BrushAngleController.h"
#import "MainView.h"
#import "MainViewController.h"
#import "RootViewController.h"

@implementation BrushAngleController

@synthesize mainController;
@synthesize rootController;
@synthesize angle;

/*
 // The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
 - (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
 if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
 // Custom initialization
 }
 return self;
 }
 */


 // Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
 - (void)viewDidLoad {
	[super viewDidLoad];
	angle.minimumValue = 0;
	angle.maximumValue = 180;
	angle.value = 45;
 }
 

/*
 // Override to allow orientations other than the default portrait orientation.
 - (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
 // Return YES for supported orientations
 return (interfaceOrientation == UIInterfaceOrientationPortrait);
 }
 */

// returns the number of columns to display.
- (NSInteger)numberOfComponentsInPickerView:(UIPickerView *)pickerView
{
	return 1;
}

// returns the number of rows
- (NSInteger)pickerView:(UIPickerView *)pickerView numberOfRowsInComponent:(NSInteger)component
{
	return 3;
}

// returns the title of each row
- (NSString *)pickerView:(UIPickerView *)pickerView titleForRow:(NSInteger)row forComponent:(NSInteger)component
{
	switch (row) {
		case ANGLE_SLIDER:
			return @"Slider";
		case ANGLE_MOVEMENT:
			return @"Movement";
		case ANGLE_GRADIENT:
			return @"Gradient";
			// If you add additional angle types, be sure to increment the number in the method above
		default:
			return @"Error!";
	}
}

// gets called when the user settles on a row
- (void)pickerView:(UIPickerView *)pickerView didSelectRow:(NSInteger)row inComponent:(NSInteger)component
{
	[mainController setAngleType:row];
}

- (IBAction)back {
	[rootController toggleNavBar];
	[self.parentViewController dismissModalViewControllerAnimated:YES];
}

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
	[angle release];
	[brushAngleTypePicker release];
}


@end
