//
//  BrushSettingsController.m
//  Impressionist
//
//  Created by Andrew Yurovchak on 10/2/09.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import "BrushSettingsController.h"
#import "MainView.h"
#import "MainViewController.h"
#import "RootViewController.h"

@implementation BrushSettingsController

@synthesize mainController;
@synthesize rootController;

/*
 // The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
}
*/

/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

// returns the number of columns to display.
- (NSInteger)numberOfComponentsInPickerView:(UIPickerView *)pickerView
{
	return 1;
}

// returns the number of rows
- (NSInteger)pickerView:(UIPickerView *)pickerView numberOfRowsInComponent:(NSInteger)component
{
	return 6;
}

// returns the title of each row
- (NSString *)pickerView:(UIPickerView *)pickerView titleForRow:(NSInteger)row forComponent:(NSInteger)component
{
	switch (row) {
		case BRUSH_POINT:
			return @"Points";
		case BRUSH_LINE:
			return @"Lines";
		case BRUSH_CIRCLE:
			return @"Circles";
		case BRUSH_SCATTERED_POINTS:
			return @"Scattered Points";
		case BRUSH_SCATTERED_LINES:
			return @"Scattered Lines";
		case BRUSH_SCATTERED_CIRCLES:
			return @"Scattered Circles";
			// If you add additional brushes, be sure to increment the number in the method above
		default:
			return @"Error!";
	}
}

// gets called when the user settles on a row
- (void)pickerView:(UIPickerView *)pickerView didSelectRow:(NSInteger)row inComponent:(NSInteger)component
{
	[mainController setBrush:row];
}

- (IBAction)back {
	[rootController toggleNavBar];
	[self.parentViewController dismissModalViewControllerAnimated:YES];
}

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
	[brushPicker release];
}


@end
