//
//  MainViewController.h
//  Impressionist
//
//  Created by Stephanie Abascal on 1/24/09.
//  Copyright Stephanie Abascal 2009. All rights reserved.
//

#import <UIKit/UIKit.h>

@class MainView;

@interface MainViewController : UIViewController {
    IBOutlet MainView* mainView;
}

- (void) setBrush:(unsigned)brush;
- (void) setAngleType:(unsigned)angleType;
- (void) setImage:(UIImage*)image;
- (void) setOpacity:(double)opacity;
- (void) setSize:(double)size;
- (void) setAngle:(double)angle;
- (void) setThickness:(double)thickness;
- (void) applyKernel:(double*)values divisor:(double)d offset:(double)o;
- (void) clearImage;
- (void) saveToAlbum;

@end
